#lang s-exp "../xtemplate.rkt"

`(html
  ([lang ,(metadata-ref+ metadata 'lang "en")])
  (head
    ()
    (!HTML-COMMENT () " this page made with: trans rights 🏳️‍⚧️ ")
    (meta ([charset "utf-8"]))
    (title () ,(metadata-ref+ metadata 'title "<untitled page>"))
    (meta ([name "viewport"] [content "width=device-width, initial-scale=1"]))
    ,@(match (metadata-ref+ metadata 'summary)
             [#f '()]
             [summary
               `((meta ([name "description"] [content ,summary])))])
    ,@(match (metadata-ref metadata 'authors)
             [(or #f '()) '()]
             [authors
               `((meta ([name "author"] [content ,(string-join authors ", ")])))])
    ,@(match (metadata-ref metadata 'date)
             [#f '()]
             [(list yn mn dn)
              `((meta ([name "DC.Date.created"]
                       [content ,(format "~a-~a-~a" (~r/pad yn 4) (~r/pad mn 2) (~r/pad dn 2))])))])
    (meta ([name "generator"] [content "meow meow meow meow"]))
    ;<link rel="shortcut icon" type="image/png" href="haskal.png"/>
    (link ([rel "stylesheet"] [type "text/css"] [href "index.css"])))
  (body
    ()
    (nav
      ()
      ,content-toc)
    (main
      ()
      ,@content
      ,(include "include.html.rkt"))
    ;; mathjax polyfill script sentinel -- gets replaced by a script tag for crying doge chrombe
    ;; and with nothing for swole firefox
    (div ([style "display: none"]) "__X_MATHJAX_POLYFILL_PLACEHOLDER__")))
